if(typeof keyman === 'undefined') {
  console.log('Keyboard requires KeymanWeb 10.0 or later');
  if(typeof tavultesoft !== 'undefined') tavultesoft.keymanweb.util.alert("This keyboard requires KeymanWeb 10.0 or later");
} else {
KeymanWeb.KR(new Keyboard_keyboard());
}
function Keyboard_keyboard()
{
  var modCodes = keyman.osk.modifierCodes;
  var keyCodes = keyman.osk.keyCodes;

  this._v=(typeof keyman!="undefined"&&typeof keyman.version=="string")?parseInt(keyman.version,10):9;
  this.KI="Keyboard_keyboard";
  this.KN="Teclado Itunyoso Triqui";
  this.KMINVER="10.0";
  this.KV=null;
  this.KDU=0;
  this.KH='';
  this.KM=0;
  this.KBVER="1.0";
  this.KMBM=modCodes.SHIFT | modCodes.CAPS /* 0x0110 */;
  this.KVKD="T_BB T_HB T_CH T_CHR T_CCH T_CCHR T_ND T_HND T_D T_NG T_G T_HNG T_NGW T_KW T_KK T_KKW T_W T_LL T_HL T_MM T_HM T_CN T_NN T_HN T_ENYE T_HR T_TT T_YY T_HY T_TS T_A43 T_A32 T_A31 T_A13 T_E43 T_E32 T_E31 T_E13 T_I43 T_I32 T_I31 T_I13 T_O43 T_O32 T_O31 T_O13 T_U43 T_U32 T_U31 T_U13 T_H T_L";
  this.KVKL={
  "phone": {
    "font": "Tahoma",
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  },
                  {
                    "id": "U_00A1",
                    "text": "\u00A1"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  }
                ]
              },
              {
                "id": "T_KW",
                "text": "kw",
                "sk": [
                  {
                    "id": "T_KKW",
                    "text": "kkw"
                  },
                  {
                    "id": "T_W",
                    "text": "w"
                  }
                ]
              },
              {
                "id": "K_E",
                "text": "e",
                "sk": [
                  {
                    "id": "U_00E9",
                    "text": "\u00E9"
                  },
                  {
                    "id": "U_00E8",
                    "text": "\u00E8"
                  },
                  {
                    "id": "T_E43",
                    "text": "\u00E9e"
                  },
                  {
                    "id": "T_E32",
                    "text": "ee"
                  },
                  {
                    "id": "T_E31",
                    "text": "e\u00E8"
                  },
                  {
                    "id": "T_E13",
                    "text": "\u00E8e"
                  }
                ]
              },
              {
                "id": "K_R",
                "text": "r",
                "sk": [
                  {
                    "id": "T_HR",
                    "text": "hr"
                  }
                ]
              },
              {
                "id": "K_T",
                "text": "t",
                "sk": [
                  {
                    "id": "T_TT",
                    "text": "tt"
                  }
                ]
              },
              {
                "id": "K_Y",
                "text": "y",
                "sk": [
                  {
                    "id": "T_YY",
                    "text": "yy"
                  },
                  {
                    "id": "T_HY",
                    "text": "hy"
                  }
                ]
              },
              {
                "id": "K_U",
                "text": "u",
                "sk": [
                  {
                    "id": "U_00F3",
                    "text": "\u00FA"
                  },
                  {
                    "id": "U_00F9",
                    "text": "\u00F9"
                  },
                  {
                    "id": "T_U43",
                    "text": "\u00FAu"
                  },
                  {
                    "id": "T_U32",
                    "text": "uu"
                  },
                  {
                    "id": "T_U31",
                    "text": "u\u00F9"
                  },
                  {
                    "id": "T_U13",
                    "text": "\u00F9u"
                  },
                  {
                    "id": "U_00FC",
                    "text": "\u00FC"
                  }
                ]
              },
              {
                "id": "K_I",
                "text": "i",
                "sk": [
                  {
                    "id": "U_00ED",
                    "text": "\u00ED"
                  },
                  {
                    "id": "U_00EC",
                    "text": "\u00EC"
                  },
                  {
                    "id": "T_I43",
                    "text": "\u00EDi"
                  },
                  {
                    "id": "T_I32",
                    "text": "ii"
                  },
                  {
                    "id": "T_I31",
                    "text": "i\u00EC"
                  },
                  {
                    "id": "T_I13",
                    "text": "\u00ECi"
                  }
                ]
              },
              {
                "id": "K_O",
                "text": "o",
                "sk": [
                  {
                    "id": "U_00F3",
                    "text": "\u00F3"
                  },
                  {
                    "id": "U_00F2",
                    "text": "\u00F2"
                  },
                  {
                    "id": "T_O43",
                    "text": "\u00F3o"
                  },
                  {
                    "id": "T_O32",
                    "text": "oo"
                  },
                  {
                    "id": "T_O31",
                    "text": "o\u00F2"
                  },
                  {
                    "id": "T_O13",
                    "text": "\u00F2o"
                  }
                ]
              },
              {
                "id": "K_P",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "text": "a",
                "sk": [
                  {
                    "id": "U_00E1",
                    "text": "\u00E1"
                  },
                  {
                    "id": "U_00E0",
                    "text": "\u00E0"
                  },
                  {
                    "id": "T_A43",
                    "text": "\u00E1a"
                  },
                  {
                    "id": "T_A32",
                    "text": "aa"
                  },
                  {
                    "id": "T_A31",
                    "text": "a\u00E0"
                  },
                  {
                    "id": "T_A13",
                    "text": "\u00E0a"
                  }
                ]
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "T_ND",
                "text": "nd",
                "sk": [
                  {
                    "id": "T_HND",
                    "text": "hnd"
                  },
                  {
                    "id": "T_D",
                    "text": "d"
                  }
                ]
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "T_NG",
                "text": "ng",
                "sk": [
                  {
                    "id": "T_NGW",
                    "text": "ngw"
                  },
                  {
                    "id": "T_HNG",
                    "text": "hng"
                  },
                  {
                    "id": "T_G",
                    "text": "g"
                  }
                ]
              },
              {
                "id": "K_H",
                "text": "h",
                "sk": [
                  {
                    "id": "T_HND",
                    "text": "hnd"
                  },
                  {
                    "id": "T_HR",
                    "text": "hr"
                  },
                  {
                    "id": "T_HNG",
                    "text": "hng"
                  },
                  {
                    "id": "T_HB",
                    "text": "hb"
                  },
                  {
                    "id": "T_HY",
                    "text": "hy"
                  },
                  {
                    "id": "T_HN",
                    "text": "hn"
                  },
                  {
                    "id": "T_HM",
                    "text": "hm"
                  },
                  {
                    "id": "T_HL",
                    "text": "hl"
                  }
                ]
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k",
                "sk": [
                  {
                    "id": "T_KK",
                    "text": "kk"
                  }
                ]
              },
              {
                "id": "K_L",
                "text": "l",
                "sk": [
                  {
                    "id": "T_LL",
                    "text": "ll"
                  },
                  {
                    "id": "T_HL",
                    "text": "hl"
                  }
                ]
              },
              {
                "id": "T_H",
                "text": "\u00B4",
                "sk": [
                  {
                    "id": "T_43",
                    "text": "\u25CC\u0301\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*",
                "multitap": [
                  {
                    "nextlayer": "caps",
                    "id": "T_new_10099",
                    "text": "*Caps*"
                  }
                ]
              },
              {
                "id": "T_TS",
                "text": "ts"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "T_CH",
                "text": "ch",
                "sk": [
                  {
                    "id": "T_CCH",
                    "text": "cch"
                  },
                  {
                    "id": "T_CHR",
                    "text": "chr"
                  },
                  {
                    "id": "T_CCHR",
                    "text": "cchr"
                  }
                ]
              },
              {
                "id": "T_CHR",
                "text": "chr",
                "sk": [
                  {
                    "id": "T_CCHR",
                    "text": "cchr"
                  }
                ]
              },
              {
                "id": "K_B",
                "text": "b",
                "sk": [
                  {
                    "id": "T_BB",
                    "text": "bb"
                  },
                  {
                    "id": "T_HB",
                    "text": "hb"
                  }
                ]
              },
              {
                "id": "K_N",
                "text": "n",
                "sk": [
                  {
                    "id": "T_CN",
                    "text": "cn"
                  },
                  {
                    "id": "T_NN",
                    "text": "nn"
                  },
                  {
                    "id": "T_HN",
                    "text": "hn"
                  },
                  {
                    "id": "T_ENYE",
                    "text": "\u00F1"
                  }
                ]
              },
              {
                "id": "K_M",
                "text": "m",
                "sk": [
                  {
                    "id": "T_MM",
                    "text": "mm"
                  },
                  {
                    "id": "T_HM",
                    "text": "hm"
                  }
                ]
              },
              {
                "id": "T_L",
                "text": "`",
                "sk": [
                  {
                    "id": "T_31",
                    "text": "\u25CC\u25CC\u0300"
                  },
                  {
                    "id": "T_13",
                    "text": "\u25CC\u0300\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "nextlayer": "qwerty",
                "width": "120",
                "id": "T_QWL",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift-qwerty",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "Q"
              },
              {
                "id": "K_W",
                "text": "W"
              },
              {
                "id": "K_E",
                "text": "E"
              },
              {
                "id": "K_R",
                "text": "R"
              },
              {
                "id": "K_T",
                "text": "T"
              },
              {
                "id": "K_Y",
                "text": "Y"
              },
              {
                "id": "K_U",
                "text": "U"
              },
              {
                "id": "K_I",
                "text": "I"
              },
              {
                "id": "K_O",
                "text": "O"
              },
              {
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "text": "A"
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "K_D",
                "text": "D"
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "id": "K_G",
                "text": "G"
              },
              {
                "id": "K_H",
                "text": "H"
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K"
              },
              {
                "id": "K_L",
                "text": "L"
              },
              {
                "id": "T_ENYE",
                "text": "\u00D1"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "qwerty",
                "width": "155",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "Z"
              },
              {
                "id": "K_X",
                "text": "X"
              },
              {
                "id": "K_C",
                "text": "C"
              },
              {
                "id": "K_V",
                "text": "V"
              },
              {
                "id": "K_B",
                "text": "B"
              },
              {
                "id": "K_N",
                "text": "N"
              },
              {
                "id": "K_M",
                "text": "M"
              },
              {
                "width": "160",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "nextlayer": "default",
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "555",
                "id": "K_SPACE"
              },
              {
                "layer": "default",
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "layer": "default",
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "layer": "default",
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "layer": "default",
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "layer": "default",
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "1"
              },
              {
                "id": "K_2",
                "text": "2"
              },
              {
                "id": "K_3",
                "text": "3"
              },
              {
                "id": "K_4",
                "text": "4"
              },
              {
                "id": "K_5",
                "text": "5"
              },
              {
                "id": "K_6",
                "text": "6"
              },
              {
                "id": "K_7",
                "text": "7"
              },
              {
                "id": "K_8",
                "text": "8"
              },
              {
                "id": "K_9",
                "text": "9"
              },
              {
                "id": "K_0",
                "text": "0"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "layer": "shift-qwerty",
                "id": "K_2",
                "pad": "50",
                "text": "@"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_3",
                "text": "#"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_4",
                "text": "$"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_5",
                "text": "%"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_7",
                "text": "&"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_HYPHEN",
                "text": "_"
              },
              {
                "layer": "default",
                "id": "K_EQUAL",
                "text": "="
              },
              {
                "layer": "shift-qwerty",
                "id": "K_BKSLASH",
                "text": "|"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "text": "\\"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "id": "U_0028",
                "pad": "110",
                "text": "(",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COMMA",
                    "text": "<"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_LBRKT",
                    "text": "{"
                  },
                  {
                    "id": "U_005B",
                    "text": "["
                  }
                ]
              },
              {
                "id": "U_0029",
                "text": ")",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_PERIOD",
                    "text": ">"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_RBRKT",
                    "text": "}"
                  },
                  {
                    "id": "U_005D",
                    "text": "]"
                  }
                ]
              },
              {
                "layer": "shift-qwerty",
                "id": "K_EQUAL",
                "text": "+"
              },
              {
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "layer": "shift-qwerty",
                "id": "K_8",
                "text": "*"
              },
              {
                "id": "K_SLASH",
                "text": "/"
              },
              {
                "id": "T_new_1252",
                "text": "!",
                "sk": [
                  {
                    "id": "U_00A1",
                    "text": "\u00A1"
                  }
                ]
              },
              {
                "id": "U_003F",
                "text": "?",
                "sk": [
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "150",
                "id": "K_LOWER",
                "sp": "1",
                "text": "*abc*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "id": "U_002C",
                "text": ","
              },
              {
                "width": "440",
                "id": "K_SPACE"
              },
              {
                "id": "U_002E",
                "text": "."
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "qwerty",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "T_new_722",
                "text": "q"
              },
              {
                "id": "T_W",
                "text": "w"
              },
              {
                "id": "K_E",
                "text": "e",
                "sk": [
                  {
                    "id": "U_00E9",
                    "text": "\u00E9"
                  }
                ]
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y"
              },
              {
                "id": "K_U",
                "text": "u",
                "sk": [
                  {
                    "id": "U_00FC",
                    "text": "\u00FC"
                  },
                  {
                    "id": "U_00F3",
                    "text": "\u00FA"
                  }
                ]
              },
              {
                "id": "K_I",
                "text": "i",
                "sk": [
                  {
                    "id": "U_00ED",
                    "text": "\u00ED"
                  }
                ]
              },
              {
                "id": "K_O",
                "text": "o",
                "sk": [
                  {
                    "id": "U_00F3",
                    "text": "\u00F3"
                  },
                  {
                    "id": "U_00F2",
                    "text": "\u00F2"
                  }
                ]
              },
              {
                "id": "K_P",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "text": "a",
                "sk": [
                  {
                    "id": "U_00E1",
                    "text": "a\u0301"
                  }
                ]
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "T_D",
                "text": "d"
              },
              {
                "id": "K_F",
                "text": "f"
              },
              {
                "id": "K_G",
                "text": "g"
              },
              {
                "id": "K_H",
                "text": "h"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "id": "T_ENYE",
                "text": "\u00F1"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift-qwerty",
                "width": "155",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "z"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "K_C",
                "text": "c",
                "sk": [
                  {
                    "id": "T_new_5403"
                  }
                ]
              },
              {
                "id": "K_V",
                "text": "v"
              },
              {
                "id": "K_B",
                "text": "b",
                "sk": [
                  {
                    "id": "T_new_5406"
                  }
                ]
              },
              {
                "id": "K_N",
                "text": "n",
                "sk": [
                  {
                    "id": "T_ENYE",
                    "text": "\u00F1"
                  }
                ]
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "width": "160",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "nextlayer": "default",
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "555",
                "id": "K_SPACE"
              },
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  },
                  {
                    "id": "U_00A1",
                    "text": "\u00A1"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  },
                  {
                    "id": "T_Q",
                    "text": "q"
                  }
                ]
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_COMMA",
                "text": ",",
                "sk": [
                  {
                    "id": "U_00A1",
                    "text": "\u00A1"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "T_KW",
                "text": "Kw",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_KKW",
                    "text": "Kkw"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_W",
                    "text": "W"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_E",
                "text": "E",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00C9",
                    "text": "\u00C9"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00C8",
                    "text": "\u00C8"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_E43",
                    "text": "\u00C9e"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_E32",
                    "text": "Ee"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_E31",
                    "text": "E\u00E8"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_E13",
                    "text": "\u00C8e"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_R",
                "text": "R",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_HR",
                    "text": "Hr"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_T",
                "text": "T",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_TT",
                    "text": "Tt"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_Y",
                "text": "Y",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_YY",
                    "text": "Yy"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HY",
                    "text": "Hy"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_U",
                "text": "U",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00DA",
                    "text": "\u00DA"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00F9",
                    "text": "\u00D9"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_U43",
                    "text": "\u00DAu"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_U32",
                    "text": "Uu"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_U31",
                    "text": "U\u00F9"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_U13",
                    "text": "\u00D9u"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_I",
                "text": "I",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00CD",
                    "text": "\u00CD"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00CC",
                    "text": "\u00CC"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_I43",
                    "text": "\u00CDi"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_I32",
                    "text": "Ii"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_I31",
                    "text": "I\u00EC"
                  },
                  {
                    "nextlayer": "shift-qwerty",
                    "id": "T_I13",
                    "text": "\u00CCi"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_O",
                "text": "O",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00D3",
                    "text": "\u00D3"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00D2",
                    "text": "\u00D2"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_O43",
                    "text": "\u00D3o"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_O32",
                    "text": "Oo"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_O31",
                    "text": "O\u00F2"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_O13",
                    "text": "\u00D2o"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "nextlayer": "default",
                "id": "K_A",
                "text": "A",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "U_00C1",
                    "text": "\u00C1"
                  },
                  {
                    "nextlayer": "default",
                    "id": "U_00E0",
                    "text": "\u00C0"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_A43",
                    "text": "\u00C1a"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_A32",
                    "text": "Aa"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_A31",
                    "text": "A\u00E0"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_A13",
                    "text": "\u00C0a"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_S",
                "text": "S"
              },
              {
                "nextlayer": "default",
                "id": "T_ND",
                "text": "Nd",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_HND",
                    "text": "Hnd"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_D",
                    "text": "D"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_F",
                "text": "F"
              },
              {
                "nextlayer": "default",
                "id": "T_NG",
                "text": "Ng",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_NGW",
                    "text": "Ngw"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HNG",
                    "text": "Hng"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_G",
                    "text": "G"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_H",
                "text": "H",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_HND",
                    "text": "Hnd"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HR",
                    "text": "Hr"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HNG",
                    "text": "Hng"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HB",
                    "text": "Hb"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HY",
                    "text": "Hy"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HN",
                    "text": "Hn"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HM",
                    "text": "Hm"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HL",
                    "text": "Hl"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_J",
                "text": "J"
              },
              {
                "nextlayer": "default",
                "id": "K_K",
                "text": "K",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_KK",
                    "text": "Kk"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_L",
                "text": "L",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_LL",
                    "text": "Ll"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HL",
                    "text": "Hl"
                  }
                ]
              },
              {
                "id": "T_H",
                "text": "\u00B4",
                "sk": [
                  {
                    "id": "T_43",
                    "text": "\u25CC\u0301\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "nextlayer": "default",
                "id": "T_TS",
                "text": "Ts"
              },
              {
                "nextlayer": "default",
                "id": "K_X",
                "text": "X"
              },
              {
                "nextlayer": "default",
                "id": "T_CH",
                "text": "Ch",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_CCH",
                    "text": "Cch"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_CHR",
                    "text": "Chr"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_CCHR",
                    "text": "Cchr"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "T_CHR",
                "text": "Chr",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_CCHR",
                    "text": "Cchr"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_B",
                "text": "B",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_BB",
                    "text": "Bb"
                  },
                  {
                    "id": "T_HB",
                    "text": "Hb"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_N",
                "text": "N",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_CN",
                    "text": "Cn"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_NN",
                    "text": "Nn"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HN",
                    "text": "Hn"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_ENYE",
                    "text": "\u00D1"
                  }
                ]
              },
              {
                "nextlayer": "default",
                "id": "K_M",
                "text": "M",
                "sk": [
                  {
                    "nextlayer": "default",
                    "id": "T_MM",
                    "text": "Mm"
                  },
                  {
                    "nextlayer": "default",
                    "id": "T_HM",
                    "text": "Hm"
                  }
                ]
              },
              {
                "id": "T_L",
                "text": "`",
                "sk": [
                  {
                    "id": "T_31",
                    "text": "\u25CC\u25CC\u0300"
                  },
                  {
                    "id": "T_13",
                    "text": "\u25CC\u0300\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "nextlayer": "qwerty",
                "width": "120",
                "id": "T_QWL",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "caps",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift-qwerty",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  },
                  {
                    "id": "U_00A1",
                    "text": "\u00A1"
                  },
                  {
                    "id": "U_00BF",
                    "text": "\u00BF"
                  }
                ]
              },
              {
                "id": "T_KW",
                "text": "KW",
                "sk": [
                  {
                    "id": "T_KKW",
                    "text": "KKW"
                  },
                  {
                    "id": "T_W",
                    "text": "W"
                  }
                ]
              },
              {
                "id": "K_E",
                "text": "E",
                "sk": [
                  {
                    "id": "U_00C9",
                    "text": "\u00C9"
                  },
                  {
                    "id": "U_00C8",
                    "text": "\u00C8"
                  },
                  {
                    "id": "T_E43",
                    "text": "\u00C8E"
                  },
                  {
                    "id": "T_E32",
                    "text": "EE"
                  },
                  {
                    "id": "T_E31",
                    "text": "E\u00C8"
                  },
                  {
                    "id": "T_E13",
                    "text": "\u00C8E"
                  }
                ]
              },
              {
                "id": "K_R",
                "text": "R",
                "sk": [
                  {
                    "id": "T_HR",
                    "text": "HR"
                  }
                ]
              },
              {
                "id": "K_T",
                "text": "T",
                "sk": [
                  {
                    "id": "T_TT",
                    "text": "TT"
                  }
                ]
              },
              {
                "id": "K_Y",
                "text": "Y",
                "sk": [
                  {
                    "id": "T_YY",
                    "text": "YY"
                  },
                  {
                    "id": "T_HY",
                    "text": "HY"
                  }
                ]
              },
              {
                "id": "K_U",
                "text": "U",
                "sk": [
                  {
                    "id": "U_00DA",
                    "text": "\u00DA"
                  },
                  {
                    "id": "U_00D9",
                    "text": "\u00D9"
                  },
                  {
                    "id": "T_U43",
                    "text": "\u00DAU"
                  },
                  {
                    "id": "T_U32",
                    "text": "UU"
                  },
                  {
                    "id": "T_U31",
                    "text": "U\u00D9"
                  },
                  {
                    "id": "T_U13",
                    "text": "\u00D9U"
                  }
                ]
              },
              {
                "id": "K_I",
                "text": "I",
                "sk": [
                  {
                    "id": "U_00CD",
                    "text": "\u00CD"
                  },
                  {
                    "id": "U_00CC",
                    "text": "\u00CC"
                  },
                  {
                    "id": "T_I43",
                    "text": "\u00CDI"
                  },
                  {
                    "id": "T_I32",
                    "text": "II"
                  },
                  {
                    "id": "T_I31",
                    "text": "I\u00CC"
                  },
                  {
                    "id": "T_I13",
                    "text": "\u00CCI"
                  }
                ]
              },
              {
                "id": "K_O",
                "text": "O",
                "sk": [
                  {
                    "id": "U_00D3",
                    "text": "\u00D3"
                  },
                  {
                    "id": "U_00D2",
                    "text": "\u00D2"
                  },
                  {
                    "id": "T_O43",
                    "text": "\u00D3O"
                  },
                  {
                    "id": "T_O32",
                    "text": "OO"
                  },
                  {
                    "id": "T_O31",
                    "text": "O\u00D2"
                  },
                  {
                    "id": "T_O13",
                    "text": "\u00D2O"
                  }
                ]
              },
              {
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "text": "a",
                "sk": [
                  {
                    "id": "U_00C1",
                    "text": "\u00C1"
                  },
                  {
                    "id": "U_00C0",
                    "text": "\u00C0"
                  },
                  {
                    "id": "T_A43",
                    "text": "\u00C1A"
                  },
                  {
                    "id": "T_A32",
                    "text": "AA"
                  },
                  {
                    "id": "T_A31",
                    "text": "A\u00C0"
                  },
                  {
                    "id": "T_A13",
                    "text": "\u00C0A"
                  }
                ]
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "T_ND",
                "text": "ND",
                "sk": [
                  {
                    "id": "T_HND",
                    "text": "HND"
                  },
                  {
                    "id": "T_D",
                    "text": "D"
                  }
                ]
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "layer": "caps",
                "id": "T_NG",
                "text": "NG",
                "sk": [
                  {
                    "id": "T_NGW",
                    "text": "NGW"
                  },
                  {
                    "id": "T_HNG",
                    "text": "HNG"
                  },
                  {
                    "id": "K_G",
                    "text": "G"
                  }
                ]
              },
              {
                "id": "K_H",
                "text": "H",
                "sk": [
                  {
                    "id": "T_HND",
                    "text": "HND"
                  },
                  {
                    "id": "T_HR",
                    "text": "HR"
                  },
                  {
                    "id": "T_HNG",
                    "text": "HNG"
                  },
                  {
                    "id": "T_HB",
                    "text": "HB"
                  },
                  {
                    "id": "T_HY",
                    "text": "HY"
                  },
                  {
                    "id": "T_HN",
                    "text": "HN"
                  },
                  {
                    "id": "T_HM",
                    "text": "HM"
                  },
                  {
                    "id": "T_HL",
                    "text": "HL"
                  }
                ]
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K",
                "sk": [
                  {
                    "id": "T_KK",
                    "text": "KK"
                  }
                ]
              },
              {
                "id": "K_L",
                "text": "L",
                "sk": [
                  {
                    "id": "T_LL",
                    "text": "KK"
                  },
                  {
                    "id": "T_HL",
                    "text": "HL"
                  }
                ]
              },
              {
                "id": "T_H",
                "text": "\u00B4",
                "sk": [
                  {
                    "id": "T_43",
                    "text": "\u25CC\u0301\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "id": "T_TS",
                "text": "TS"
              },
              {
                "id": "K_X",
                "text": "X"
              },
              {
                "id": "T_CH",
                "text": "CH",
                "sk": [
                  {
                    "id": "T_CCH",
                    "text": "CCH"
                  },
                  {
                    "id": "T_CHR",
                    "text": "CHR"
                  },
                  {
                    "id": "T_CCHR",
                    "text": "CCHR"
                  }
                ]
              },
              {
                "id": "T_CHR",
                "text": "CHR",
                "sk": [
                  {
                    "id": "T_CCHR",
                    "text": "CCHR"
                  }
                ]
              },
              {
                "id": "K_B",
                "text": "B",
                "sk": [
                  {
                    "id": "T_BB",
                    "text": "BB"
                  },
                  {
                    "id": "T_HB",
                    "text": "HB"
                  }
                ]
              },
              {
                "id": "K_N",
                "text": "N",
                "sk": [
                  {
                    "id": "T_CN",
                    "text": "CN"
                  },
                  {
                    "id": "T_NN",
                    "text": "NN"
                  },
                  {
                    "id": "T_HN",
                    "text": "HN"
                  },
                  {
                    "id": "T_ENYE",
                    "text": "\u00D1"
                  }
                ]
              },
              {
                "id": "K_M",
                "text": "M",
                "sk": [
                  {
                    "id": "T_MM",
                    "text": "MM"
                  },
                  {
                    "id": "T_HM",
                    "text": "HM"
                  }
                ]
              },
              {
                "id": "T_L",
                "text": "`",
                "sk": [
                  {
                    "id": "T_31",
                    "text": "\u25CC\u25CC\u0300"
                  },
                  {
                    "id": "T_13",
                    "text": "\u25CC\u0300\u25CC"
                  },
                  {
                    "id": "T_32",
                    "text": "\u25CC\u25CC"
                  }
                ]
              },
              {
                "width": "100",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "150",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "nextlayer": "qwerty",
                "width": "120",
                "id": "T_QWL",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "610",
                "id": "K_SPACE"
              },
              {
                "width": "150",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  },
  "tablet": {
    "font": "Tahoma",
    "displayUnderlying": false,
    "layer": [
      {
        "id": "default",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q"
              },
              {
                "id": "K_W",
                "text": "kw"
              },
              {
                "id": "K_E",
                "text": "e"
              },
              {
                "id": "K_R",
                "text": "r"
              },
              {
                "id": "K_T",
                "text": "t"
              },
              {
                "id": "K_Y",
                "text": "y"
              },
              {
                "id": "K_U",
                "text": "u"
              },
              {
                "id": "K_I",
                "text": "i"
              },
              {
                "id": "K_O",
                "text": "o"
              },
              {
                "id": "K_P",
                "text": "p"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "70",
                "text": "a"
              },
              {
                "id": "K_S",
                "text": "s"
              },
              {
                "id": "K_D",
                "text": "d"
              },
              {
                "id": "K_F"
              },
              {
                "id": "K_G",
                "text": "g",
                "sk": [
                  {
                    "id": "U_0078",
                    "text": "x"
                  }
                ]
              },
              {
                "id": "K_H",
                "text": "h"
              },
              {
                "id": "K_J",
                "text": "j"
              },
              {
                "id": "K_K",
                "text": "k"
              },
              {
                "id": "K_L",
                "text": "l"
              },
              {
                "width": "10",
                "id": "T_new_88",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "shift",
                "width": "110",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "z"
              },
              {
                "id": "K_X",
                "text": "x"
              },
              {
                "id": "K_C",
                "text": "c"
              },
              {
                "id": "K_V"
              },
              {
                "id": "K_B",
                "text": "b"
              },
              {
                "id": "K_N",
                "text": "n"
              },
              {
                "id": "K_M",
                "text": "m"
              },
              {
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "140",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "shift",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_Q",
                "text": "Q"
              },
              {
                "id": "K_W",
                "text": "W"
              },
              {
                "id": "K_E",
                "text": "E"
              },
              {
                "id": "K_R",
                "text": "R"
              },
              {
                "id": "K_T",
                "text": "T"
              },
              {
                "id": "K_Y",
                "text": "Y"
              },
              {
                "id": "K_U",
                "text": "U"
              },
              {
                "id": "K_I",
                "text": "I"
              },
              {
                "id": "K_O",
                "text": "O"
              },
              {
                "id": "K_P",
                "text": "P"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "id": "K_A",
                "pad": "70",
                "text": "A"
              },
              {
                "id": "K_S",
                "text": "S"
              },
              {
                "id": "K_D",
                "text": "D"
              },
              {
                "id": "K_F",
                "text": "F"
              },
              {
                "id": "K_G",
                "text": "G"
              },
              {
                "id": "K_H",
                "text": "H"
              },
              {
                "id": "K_J",
                "text": "J"
              },
              {
                "id": "K_K",
                "text": "K"
              },
              {
                "id": "K_L",
                "text": "L"
              },
              {
                "width": "10",
                "id": "T_new_2045",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "nextlayer": "default",
                "width": "110",
                "id": "K_SHIFT",
                "sp": "2",
                "text": "*Shift*"
              },
              {
                "id": "K_Z",
                "text": "Z"
              },
              {
                "id": "K_X",
                "text": "X"
              },
              {
                "id": "K_C",
                "text": "C"
              },
              {
                "id": "K_V",
                "text": "V"
              },
              {
                "id": "K_B",
                "text": "B"
              },
              {
                "id": "K_N",
                "text": "N"
              },
              {
                "id": "K_M",
                "text": "M"
              },
              {
                "layer": "default",
                "id": "K_PERIOD",
                "text": ".",
                "sk": [
                  {
                    "layer": "default",
                    "id": "K_COMMA",
                    "text": ","
                  },
                  {
                    "layer": "shift",
                    "id": "K_1",
                    "text": "!"
                  },
                  {
                    "layer": "shift",
                    "id": "K_SLASH",
                    "text": "?"
                  },
                  {
                    "layer": "default",
                    "id": "K_QUOTE",
                    "text": "'"
                  },
                  {
                    "layer": "shift",
                    "id": "K_QUOTE",
                    "text": "\""
                  },
                  {
                    "layer": "default",
                    "id": "K_BKSLASH",
                    "text": "\\"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COLON",
                    "text": ":"
                  },
                  {
                    "layer": "default",
                    "id": "K_COLON",
                    "text": ";"
                  }
                ]
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "numeric",
                "width": "140",
                "id": "K_NUMLOCK",
                "sp": "1",
                "text": "*123*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      },
      {
        "id": "numeric",
        "row": [
          {
            "id": "1",
            "key": [
              {
                "id": "K_1",
                "text": "1"
              },
              {
                "id": "K_2",
                "text": "2"
              },
              {
                "id": "K_3",
                "text": "3"
              },
              {
                "id": "K_4",
                "text": "4"
              },
              {
                "id": "K_5",
                "text": "5"
              },
              {
                "id": "K_6",
                "text": "6"
              },
              {
                "id": "K_7",
                "text": "7"
              },
              {
                "id": "K_8",
                "text": "8"
              },
              {
                "id": "K_9",
                "text": "9"
              },
              {
                "id": "K_0",
                "text": "0"
              }
            ]
          },
          {
            "id": "2",
            "key": [
              {
                "layer": "shift",
                "id": "K_4",
                "pad": "70",
                "text": "$"
              },
              {
                "layer": "shift",
                "id": "K_2",
                "text": "@"
              },
              {
                "layer": "shift",
                "id": "K_3",
                "text": "#"
              },
              {
                "layer": "shift",
                "id": "K_5",
                "text": "%"
              },
              {
                "layer": "shift",
                "id": "K_7",
                "text": "&"
              },
              {
                "layer": "shift",
                "id": "K_HYPHEN",
                "text": "_"
              },
              {
                "layer": "default",
                "id": "K_EQUAL",
                "text": "="
              },
              {
                "layer": "shift",
                "id": "K_BKSLASH",
                "text": "|"
              },
              {
                "layer": "default",
                "id": "K_BKSLASH",
                "text": "\\"
              },
              {
                "width": "10",
                "sp": "10"
              }
            ]
          },
          {
            "id": "3",
            "key": [
              {
                "width": "110",
                "id": "K_SHIFT",
                "sp": "1",
                "text": "*Shift*"
              },
              {
                "id": "K_LBRKT",
                "text": "[",
                "sk": [
                  {
                    "id": "U_00AB",
                    "text": "\u00AB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_COMMA",
                    "text": "<"
                  },
                  {
                    "layer": "shift",
                    "id": "K_LBRKT",
                    "text": "{"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_9",
                "text": "("
              },
              {
                "layer": "shift",
                "id": "K_0",
                "text": ")"
              },
              {
                "id": "K_RBRKT",
                "text": "]",
                "sk": [
                  {
                    "id": "U_00BB",
                    "text": "\u00BB"
                  },
                  {
                    "layer": "shift",
                    "id": "K_PERIOD",
                    "text": ">"
                  },
                  {
                    "layer": "shift",
                    "id": "K_RBRKT",
                    "text": "}"
                  }
                ]
              },
              {
                "layer": "shift",
                "id": "K_EQUAL",
                "text": "+"
              },
              {
                "layer": "default",
                "id": "K_HYPHEN",
                "text": "-"
              },
              {
                "layer": "shift",
                "id": "K_8",
                "text": "*"
              },
              {
                "layer": "default",
                "id": "K_SLASH",
                "text": "/"
              },
              {
                "width": "90",
                "id": "K_BKSP",
                "sp": "1",
                "text": "*BkSp*"
              }
            ]
          },
          {
            "id": "4",
            "key": [
              {
                "nextlayer": "default",
                "width": "140",
                "id": "K_LOWER",
                "sp": "1",
                "text": "*abc*"
              },
              {
                "width": "120",
                "id": "K_LOPT",
                "sp": "1",
                "text": "*Menu*"
              },
              {
                "width": "630",
                "id": "K_SPACE"
              },
              {
                "width": "140",
                "id": "K_ENTER",
                "sp": "1",
                "text": "*Enter*"
              }
            ]
          }
        ]
      }
    ]
  }
}
;
  this.KVER="16.0.146.0";
  this.KVS=[];
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.gs=function(t,e) {
    return this.g_main_0(t,e);
  };
  this.g_main_0=function(t,e) {
    var k=KeymanWeb,r=0,m=0;
    if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x103)) {
      if(k.KFCM(4,t,['c','h','r',{t:'d',d:1}])){
        r=m=1;   // Line 54
        k.KDC(4,t);
        k.KO(-1,t,"cchr");
      }
      else if(k.KFCM(4,t,['C','h','r',{t:'d',d:1}])){
        r=m=1;   // Line 55
        k.KDC(4,t);
        k.KO(-1,t,"Cchr");
      }
      else if(k.KFCM(3,t,['c','h',{t:'d',d:0}])){
        r=m=1;   // Line 31
        k.KDC(3,t);
        k.KO(-1,t,"cchr");
      }
      else if(k.KFCM(3,t,['C','h',{t:'d',d:0}])){
        r=m=1;   // Line 37
        k.KDC(3,t);
        k.KO(-1,t,"Cchr");
      }
      else if(1){
        r=m=1;   // Line 51
        k.KDC(0,t);
        k.KO(-1,t,"chr");
        k.KDO(-1,t,1);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x103)) {
      if(k.KFCM(4,t,['C','H','R',{t:'d',d:1}])){
        r=m=1;   // Line 56
        k.KDC(4,t);
        k.KO(-1,t,"CCHR");
      }
      else if(k.KFCM(3,t,['C','H',{t:'d',d:0}])){
        r=m=1;   // Line 42
        k.KDC(3,t);
        k.KO(-1,t,"CCHR");
      }
      else if(1){
        r=m=1;   // Line 53
        k.KDC(0,t);
        k.KO(-1,t,"CHR");
        k.KDO(-1,t,1);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x102)) {
      if(k.KFCM(3,t,['c','h',{t:'d',d:0}])){
        r=m=1;   // Line 30
        k.KDC(3,t);
        k.KO(-1,t,"cch");
      }
      else if(k.KFCM(3,t,['C','h',{t:'d',d:0}])){
        r=m=1;   // Line 36
        k.KDC(3,t);
        k.KO(-1,t,"Cch");
      }
      else if(1){
        r=m=1;   // Line 29
        k.KDC(0,t);
        k.KO(-1,t,"ch");
        k.KDO(-1,t,0);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x102)) {
      if(k.KFCM(3,t,['C','H',{t:'d',d:0}])){
        r=m=1;   // Line 41
        k.KDC(3,t);
        k.KO(-1,t,"CCH");
      }
      else if(1){
        r=m=1;   // Line 40
        k.KDC(0,t);
        k.KO(-1,t,"CH");
        k.KDO(-1,t,0);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10D)) {
      if(k.KFCM(3,t,['n','g',{t:'d',d:2}])){
        r=m=1;   // Line 95
        k.KDC(3,t);
        k.KO(-1,t,"ngw");
      }
      else if(k.KFCM(3,t,['N','g',{t:'d',d:2}])){
        r=m=1;   // Line 96
        k.KDC(3,t);
        k.KO(-1,t,"Ngw");
      }
      else if(k.KFCM(3,t,['k','w',{t:'d',d:3}])){
        r=m=1;   // Line 113
        k.KDC(3,t);
        k.KO(-1,t,"kkw");
      }
      else if(1){
        r=m=1;   // Line 108
        k.KDC(0,t);
        k.KO(-1,t,"kw");
        k.KDO(-1,t,3);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10D)) {
      if(k.KFCM(3,t,['N','G',{t:'d',d:2}])){
        r=m=1;   // Line 97
        k.KDC(3,t);
        k.KO(-1,t,"NGW");
      }
      else if(1){
        r=m=1;   // Line 110
        k.KDC(0,t);
        k.KO(-1,t,"KW");
        k.KDO(-1,t,3);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x100)) {
      if(1){
        r=m=1;   // Line 19
        k.KDC(0,t);
        k.KO(-1,t,"bb");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x101)) {
      if(1){
        r=m=1;   // Line 20
        k.KDC(0,t);
        k.KO(-1,t,"hb");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x100)) {
      if(1){
        r=m=1;   // Line 21
        k.KDC(0,t);
        k.KO(-1,t,"Bb");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x101)) {
      if(1){
        r=m=1;   // Line 22
        k.KDC(0,t);
        k.KO(-1,t,"Hb");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x100)) {
      if(1){
        r=m=1;   // Line 23
        k.KDC(0,t);
        k.KO(-1,t,"BB");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x101)) {
      if(1){
        r=m=1;   // Line 24
        k.KDC(0,t);
        k.KO(-1,t,"HB");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x102)) {
      if(1){
        r=m=1;   // Line 35
        k.KDC(0,t);
        k.KO(-1,t,"Ch");
        k.KDO(-1,t,0);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x104)) {
      if(1){
        r=m=1;   // Line 46
        k.KDC(0,t);
        k.KO(-1,t,"cch");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x104)) {
      if(1){
        r=m=1;   // Line 47
        k.KDC(0,t);
        k.KO(-1,t,"Cch");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x104)) {
      if(1){
        r=m=1;   // Line 48
        k.KDC(0,t);
        k.KO(-1,t,"CCH");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x103)) {
      if(1){
        r=m=1;   // Line 52
        k.KDC(0,t);
        k.KO(-1,t,"Chr");
        k.KDO(-1,t,1);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x105)) {
      if(1){
        r=m=1;   // Line 59
        k.KDC(0,t);
        k.KO(-1,t,"cchr");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x105)) {
      if(1){
        r=m=1;   // Line 60
        k.KDC(0,t);
        k.KO(-1,t,"Cchr");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x105)) {
      if(1){
        r=m=1;   // Line 61
        k.KDC(0,t);
        k.KO(-1,t,"CCHR");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x106)) {
      if(1){
        r=m=1;   // Line 65
        k.KDC(0,t);
        k.KO(-1,t,"nd");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x107)) {
      if(1){
        r=m=1;   // Line 66
        k.KDC(0,t);
        k.KO(-1,t,"hnd");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x108)) {
      if(1){
        r=m=1;   // Line 67
        k.KDC(0,t);
        k.KO(-1,t,"d");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x106)) {
      if(1){
        r=m=1;   // Line 68
        k.KDC(0,t);
        k.KO(-1,t,"Nd");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x107)) {
      if(1){
        r=m=1;   // Line 69
        k.KDC(0,t);
        k.KO(-1,t,"Hnd");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x108)) {
      if(1){
        r=m=1;   // Line 70
        k.KDC(0,t);
        k.KO(-1,t,"D");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x106)) {
      if(1){
        r=m=1;   // Line 71
        k.KDC(0,t);
        k.KO(-1,t,"ND");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x107)) {
      if(1){
        r=m=1;   // Line 72
        k.KDC(0,t);
        k.KO(-1,t,"HND");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x108)) {
      if(1){
        r=m=1;   // Line 73
        k.KDC(0,t);
        k.KO(-1,t,"D");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x109)) {
      if(1){
        r=m=1;   // Line 79
        k.KDC(0,t);
        k.KO(-1,t,"ng");
        k.KDO(-1,t,2);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x109)) {
      if(1){
        r=m=1;   // Line 80
        k.KDC(0,t);
        k.KO(-1,t,"Ng");
        k.KDO(-1,t,2);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10A)) {
      if(1){
        r=m=1;   // Line 81
        k.KDC(0,t);
        k.KO(-1,t,"NG");
        k.KDO(-1,t,2);
      }
      else if(1){
        r=m=1;   // Line 92
        k.KDC(0,t);
        k.KO(-1,t,"G");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10B)) {
      if(1){
        r=m=1;   // Line 84
        k.KDC(0,t);
        k.KO(-1,t,"hng");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10C)) {
      if(1){
        r=m=1;   // Line 85
        k.KDC(0,t);
        k.KO(-1,t,"ngw");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10A)) {
      if(1){
        r=m=1;   // Line 86
        k.KDC(0,t);
        k.KO(-1,t,"g");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10B)) {
      if(1){
        r=m=1;   // Line 87
        k.KDC(0,t);
        k.KO(-1,t,"Hng");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10C)) {
      if(1){
        r=m=1;   // Line 88
        k.KDC(0,t);
        k.KO(-1,t,"Ngw");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10A)) {
      if(1){
        r=m=1;   // Line 89
        k.KDC(0,t);
        k.KO(-1,t,"G");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10B)) {
      if(1){
        r=m=1;   // Line 90
        k.KDC(0,t);
        k.KO(-1,t,"HNG");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10C)) {
      if(1){
        r=m=1;   // Line 91
        k.KDC(0,t);
        k.KO(-1,t,"NGW");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10E)) {
      if(1){
        r=m=1;   // Line 101
        k.KDC(0,t);
        k.KO(-1,t,"kk");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10E)) {
      if(1){
        r=m=1;   // Line 102
        k.KDC(0,t);
        k.KO(-1,t,"Kk");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10E)) {
      if(1){
        r=m=1;   // Line 103
        k.KDC(0,t);
        k.KO(-1,t,"KK");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10D)) {
      if(1){
        r=m=1;   // Line 109
        k.KDC(0,t);
        k.KO(-1,t,"Kw");
        k.KDO(-1,t,3);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x10F)) {
      if(1){
        r=m=1;   // Line 118
        k.KDC(0,t);
        k.KO(-1,t,"kkw");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x10F)) {
      if(1){
        r=m=1;   // Line 119
        k.KDC(0,t);
        k.KO(-1,t,"Kkw");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x10F)) {
      if(1){
        r=m=1;   // Line 120
        k.KDC(0,t);
        k.KO(-1,t,"KKW");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x110)) {
      if(1){
        r=m=1;   // Line 123
        k.KDC(0,t);
        k.KO(-1,t,"w");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x110)) {
      if(1){
        r=m=1;   // Line 124
        k.KDC(0,t);
        k.KO(-1,t,"W");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x110)) {
      if(1){
        r=m=1;   // Line 125
        k.KDC(0,t);
        k.KO(-1,t,"W");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x111)) {
      if(1){
        r=m=1;   // Line 129
        k.KDC(0,t);
        k.KO(-1,t,"ll");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x112)) {
      if(1){
        r=m=1;   // Line 130
        k.KDC(0,t);
        k.KO(-1,t,"hl");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x111)) {
      if(1){
        r=m=1;   // Line 131
        k.KDC(0,t);
        k.KO(-1,t,"Ll");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x112)) {
      if(1){
        r=m=1;   // Line 132
        k.KDC(0,t);
        k.KO(-1,t,"Hl");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x111)) {
      if(1){
        r=m=1;   // Line 133
        k.KDC(0,t);
        k.KO(-1,t,"LL");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x112)) {
      if(1){
        r=m=1;   // Line 134
        k.KDC(0,t);
        k.KO(-1,t,"HL");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x113)) {
      if(1){
        r=m=1;   // Line 137
        k.KDC(0,t);
        k.KO(-1,t,"mm");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x114)) {
      if(1){
        r=m=1;   // Line 138
        k.KDC(0,t);
        k.KO(-1,t,"hm");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x113)) {
      if(1){
        r=m=1;   // Line 139
        k.KDC(0,t);
        k.KO(-1,t,"Mm");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x114)) {
      if(1){
        r=m=1;   // Line 140
        k.KDC(0,t);
        k.KO(-1,t,"Hm");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x113)) {
      if(1){
        r=m=1;   // Line 141
        k.KDC(0,t);
        k.KO(-1,t,"MM");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x114)) {
      if(1){
        r=m=1;   // Line 142
        k.KDC(0,t);
        k.KO(-1,t,"HM");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x115)) {
      if(1){
        r=m=1;   // Line 145
        k.KDC(0,t);
        k.KO(-1,t,"cn");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x116)) {
      if(1){
        r=m=1;   // Line 146
        k.KDC(0,t);
        k.KO(-1,t,"nn");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x117)) {
      if(1){
        r=m=1;   // Line 147
        k.KDC(0,t);
        k.KO(-1,t,"hn");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x118)) {
      if(1){
        r=m=1;   // Line 148
        k.KDC(0,t);
        k.KO(-1,t,"ñ");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x115)) {
      if(1){
        r=m=1;   // Line 149
        k.KDC(0,t);
        k.KO(-1,t,"Cn");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x116)) {
      if(1){
        r=m=1;   // Line 150
        k.KDC(0,t);
        k.KO(-1,t,"Nn");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x117)) {
      if(1){
        r=m=1;   // Line 151
        k.KDC(0,t);
        k.KO(-1,t,"Hn");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x118)) {
      if(1){
        r=m=1;   // Line 152
        k.KDC(0,t);
        k.KO(-1,t,"Ñ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x115)) {
      if(1){
        r=m=1;   // Line 153
        k.KDC(0,t);
        k.KO(-1,t,"CN");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x116)) {
      if(1){
        r=m=1;   // Line 154
        k.KDC(0,t);
        k.KO(-1,t,"NN");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x117)) {
      if(1){
        r=m=1;   // Line 155
        k.KDC(0,t);
        k.KO(-1,t,"HN");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x118)) {
      if(1){
        r=m=1;   // Line 156
        k.KDC(0,t);
        k.KO(-1,t,"Ñ");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x119)) {
      if(1){
        r=m=1;   // Line 159
        k.KDC(0,t);
        k.KO(-1,t,"hr");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x119)) {
      if(1){
        r=m=1;   // Line 160
        k.KDC(0,t);
        k.KO(-1,t,"Hr");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x119)) {
      if(1){
        r=m=1;   // Line 161
        k.KDC(0,t);
        k.KO(-1,t,"HR");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11A)) {
      if(1){
        r=m=1;   // Line 164
        k.KDC(0,t);
        k.KO(-1,t,"tt");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11A)) {
      if(1){
        r=m=1;   // Line 165
        k.KDC(0,t);
        k.KO(-1,t,"Tt");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11A)) {
      if(1){
        r=m=1;   // Line 166
        k.KDC(0,t);
        k.KO(-1,t,"TT");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11B)) {
      if(1){
        r=m=1;   // Line 170
        k.KDC(0,t);
        k.KO(-1,t,"yy");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11C)) {
      if(1){
        r=m=1;   // Line 171
        k.KDC(0,t);
        k.KO(-1,t,"hy");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11B)) {
      if(1){
        r=m=1;   // Line 172
        k.KDC(0,t);
        k.KO(-1,t,"Yy");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11C)) {
      if(1){
        r=m=1;   // Line 173
        k.KDC(0,t);
        k.KO(-1,t,"Hy");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11B)) {
      if(1){
        r=m=1;   // Line 174
        k.KDC(0,t);
        k.KO(-1,t,"YH");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11C)) {
      if(1){
        r=m=1;   // Line 175
        k.KDC(0,t);
        k.KO(-1,t,"HY");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11D)) {
      if(1){
        r=m=1;   // Line 178
        k.KDC(0,t);
        k.KO(-1,t,"ts");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11D)) {
      if(1){
        r=m=1;   // Line 179
        k.KDC(0,t);
        k.KO(-1,t,"Ts");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11D)) {
      if(1){
        r=m=1;   // Line 180
        k.KDC(0,t);
        k.KO(-1,t,"TS");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11E)) {
      if(1){
        r=m=1;   // Line 183
        k.KDC(0,t);
        k.KO(-1,t,"áa");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x11F)) {
      if(1){
        r=m=1;   // Line 184
        k.KDC(0,t);
        k.KO(-1,t,"aa");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x120)) {
      if(1){
        r=m=1;   // Line 185
        k.KDC(0,t);
        k.KO(-1,t,"aà");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x121)) {
      if(1){
        r=m=1;   // Line 186
        k.KDC(0,t);
        k.KO(-1,t,"àa");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11E)) {
      if(1){
        r=m=1;   // Line 187
        k.KDC(0,t);
        k.KO(-1,t,"Áa");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x11F)) {
      if(1){
        r=m=1;   // Line 188
        k.KDC(0,t);
        k.KO(-1,t,"Aa");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x120)) {
      if(1){
        r=m=1;   // Line 189
        k.KDC(0,t);
        k.KO(-1,t,"Aà");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x121)) {
      if(1){
        r=m=1;   // Line 190
        k.KDC(0,t);
        k.KO(-1,t,"Àa");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11E)) {
      if(1){
        r=m=1;   // Line 191
        k.KDC(0,t);
        k.KO(-1,t,"ÁA");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x11F)) {
      if(1){
        r=m=1;   // Line 192
        k.KDC(0,t);
        k.KO(-1,t,"AA");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x120)) {
      if(1){
        r=m=1;   // Line 193
        k.KDC(0,t);
        k.KO(-1,t,"AÀ");
      }
    }
      if(m) {}
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x121)) {
      if(1){
        r=m=1;   // Line 194
        k.KDC(0,t);
        k.KO(-1,t,"ÀA");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x122)) {
      if(1){
        r=m=1;   // Line 197
        k.KDC(0,t);
        k.KO(-1,t,"ée");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x123)) {
      if(1){
        r=m=1;   // Line 198
        k.KDC(0,t);
        k.KO(-1,t,"ee");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x124)) {
      if(1){
        r=m=1;   // Line 199
        k.KDC(0,t);
        k.KO(-1,t,"eè");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x125)) {
      if(1){
        r=m=1;   // Line 200
        k.KDC(0,t);
        k.KO(-1,t,"èe");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x122)) {
      if(1){
        r=m=1;   // Line 201
        k.KDC(0,t);
        k.KO(-1,t,"Ée");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x123)) {
      if(1){
        r=m=1;   // Line 202
        k.KDC(0,t);
        k.KO(-1,t,"Ee");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x124)) {
      if(1){
        r=m=1;   // Line 203
        k.KDC(0,t);
        k.KO(-1,t,"Eè");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x125)) {
      if(1){
        r=m=1;   // Line 204
        k.KDC(0,t);
        k.KO(-1,t,"Èe");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x122)) {
      if(1){
        r=m=1;   // Line 205
        k.KDC(0,t);
        k.KO(-1,t,"ÉE");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x123)) {
      if(1){
        r=m=1;   // Line 206
        k.KDC(0,t);
        k.KO(-1,t,"EE");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x124)) {
      if(1){
        r=m=1;   // Line 207
        k.KDC(0,t);
        k.KO(-1,t,"EÈ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x125)) {
      if(1){
        r=m=1;   // Line 208
        k.KDC(0,t);
        k.KO(-1,t,"ÈE");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x126)) {
      if(1){
        r=m=1;   // Line 211
        k.KDC(0,t);
        k.KO(-1,t,"íi");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x127)) {
      if(1){
        r=m=1;   // Line 212
        k.KDC(0,t);
        k.KO(-1,t,"ii");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x128)) {
      if(1){
        r=m=1;   // Line 213
        k.KDC(0,t);
        k.KO(-1,t,"iì");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x129)) {
      if(1){
        r=m=1;   // Line 214
        k.KDC(0,t);
        k.KO(-1,t,"ìi");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x126)) {
      if(1){
        r=m=1;   // Line 215
        k.KDC(0,t);
        k.KO(-1,t,"Íi");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x127)) {
      if(1){
        r=m=1;   // Line 216
        k.KDC(0,t);
        k.KO(-1,t,"Ii");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x128)) {
      if(1){
        r=m=1;   // Line 217
        k.KDC(0,t);
        k.KO(-1,t,"Iì");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x129)) {
      if(1){
        r=m=1;   // Line 218
        k.KDC(0,t);
        k.KO(-1,t,"Ìi");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x126)) {
      if(1){
        r=m=1;   // Line 219
        k.KDC(0,t);
        k.KO(-1,t,"ÍI");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x127)) {
      if(1){
        r=m=1;   // Line 220
        k.KDC(0,t);
        k.KO(-1,t,"II");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x128)) {
      if(1){
        r=m=1;   // Line 221
        k.KDC(0,t);
        k.KO(-1,t,"Iì");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x129)) {
      if(1){
        r=m=1;   // Line 222
        k.KDC(0,t);
        k.KO(-1,t,"ÌI");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12A)) {
      if(1){
        r=m=1;   // Line 225
        k.KDC(0,t);
        k.KO(-1,t,"óo");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12B)) {
      if(1){
        r=m=1;   // Line 226
        k.KDC(0,t);
        k.KO(-1,t,"oo");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12C)) {
      if(1){
        r=m=1;   // Line 227
        k.KDC(0,t);
        k.KO(-1,t,"oò");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12D)) {
      if(1){
        r=m=1;   // Line 228
        k.KDC(0,t);
        k.KO(-1,t,"òo");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12A)) {
      if(1){
        r=m=1;   // Line 229
        k.KDC(0,t);
        k.KO(-1,t,"Óo");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12B)) {
      if(1){
        r=m=1;   // Line 230
        k.KDC(0,t);
        k.KO(-1,t,"Oo");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12C)) {
      if(1){
        r=m=1;   // Line 231
        k.KDC(0,t);
        k.KO(-1,t,"Oò");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12D)) {
      if(1){
        r=m=1;   // Line 232
        k.KDC(0,t);
        k.KO(-1,t,"Òo");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12A)) {
      if(1){
        r=m=1;   // Line 233
        k.KDC(0,t);
        k.KO(-1,t,"ÓO");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12B)) {
      if(1){
        r=m=1;   // Line 234
        k.KDC(0,t);
        k.KO(-1,t,"OO");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12C)) {
      if(1){
        r=m=1;   // Line 235
        k.KDC(0,t);
        k.KO(-1,t,"OÒ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12D)) {
      if(1){
        r=m=1;   // Line 236
        k.KDC(0,t);
        k.KO(-1,t,"ÒO");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12E)) {
      if(1){
        r=m=1;   // Line 240
        k.KDC(0,t);
        k.KO(-1,t,"úu");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x12F)) {
      if(1){
        r=m=1;   // Line 241
        k.KDC(0,t);
        k.KO(-1,t,"uu");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x130)) {
      if(1){
        r=m=1;   // Line 242
        k.KDC(0,t);
        k.KO(-1,t,"uù");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x131)) {
      if(1){
        r=m=1;   // Line 243
        k.KDC(0,t);
        k.KO(-1,t,"ùu");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12E)) {
      if(1){
        r=m=1;   // Line 244
        k.KDC(0,t);
        k.KO(-1,t,"Úu");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x12F)) {
      if(1){
        r=m=1;   // Line 245
        k.KDC(0,t);
        k.KO(-1,t,"Uu");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x130)) {
      if(1){
        r=m=1;   // Line 246
        k.KDC(0,t);
        k.KO(-1,t,"Uù");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x131)) {
      if(1){
        r=m=1;   // Line 247
        k.KDC(0,t);
        k.KO(-1,t,"Ùu");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12E)) {
      if(1){
        r=m=1;   // Line 248
        k.KDC(0,t);
        k.KO(-1,t,"ÚU");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x12F)) {
      if(1){
        r=m=1;   // Line 249
        k.KDC(0,t);
        k.KO(-1,t,"UU");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x130)) {
      if(1){
        r=m=1;   // Line 250
        k.KDC(0,t);
        k.KO(-1,t,"UÙ");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x131)) {
      if(1){
        r=m=1;   // Line 251
        k.KDC(0,t);
        k.KO(-1,t,"ÙU");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x132)) {
      if(1){
        r=m=1;   // Line 255
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,4);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x132)) {
      if(1){
        r=m=1;   // Line 256
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,4);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x132)) {
      if(1){
        r=m=1;   // Line 257
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,4);
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, 0x133)) {
      if(1){
        r=m=1;   // Line 279
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,5);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, 0x133)) {
      if(1){
        r=m=1;   // Line 280
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,5);
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, 0x133)) {
      if(1){
        r=m=1;   // Line 281
        k.KDC(0,t);
        k.KO(-1,t,"´");
        k.KDO(-1,t,5);
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_A /* 0x41 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 267
        k.KDC(2,t);
        k.KO(-1,t,"Á");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 287
        k.KDC(2,t);
        k.KO(-1,t,"À");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_A /* 0x41 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 272
        k.KDC(2,t);
        k.KO(-1,t,"Á");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 292
        k.KDC(2,t);
        k.KO(-1,t,"À");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 268
        k.KDC(2,t);
        k.KO(-1,t,"É");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 288
        k.KDC(2,t);
        k.KO(-1,t,"È");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 273
        k.KDC(2,t);
        k.KO(-1,t,"É");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 293
        k.KDC(2,t);
        k.KO(-1,t,"È");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 269
        k.KDC(2,t);
        k.KO(-1,t,"Í");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 289
        k.KDC(2,t);
        k.KO(-1,t,"Ì");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 274
        k.KDC(2,t);
        k.KO(-1,t,"Í");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 294
        k.KDC(2,t);
        k.KO(-1,t,"Ì");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(3,t,['C','H',{t:'d',d:0}])){
        r=m=1;   // Line 43
        k.KDC(3,t);
        k.KO(-1,t,"CN");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 270
        k.KDC(2,t);
        k.KO(-1,t,"Ó");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 290
        k.KDC(2,t);
        k.KO(-1,t,"Ò");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 275
        k.KDC(2,t);
        k.KO(-1,t,"Ó");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 295
        k.KDC(2,t);
        k.KO(-1,t,"Ò");
      }
    }
    else if(k.KKM(e, modCodes.SHIFT | modCodes.VIRTUAL_KEY /* 0x4010 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 271
        k.KDC(2,t);
        k.KO(-1,t,"Ú");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 291
        k.KDC(2,t);
        k.KO(-1,t,"Ù");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 276
        k.KDC(2,t);
        k.KO(-1,t,"Ú");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 296
        k.KDC(2,t);
        k.KO(-1,t,"Ù");
      }
    }
    else if(k.KKM(e, modCodes.CAPS | modCodes.VIRTUAL_KEY /* 0x4100 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(3,t,['K','W',{t:'d',d:3}])){
        r=m=1;   // Line 115
        k.KDC(3,t);
        k.KO(-1,t,"KKW");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_A /* 0x41 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 262
        k.KDC(2,t);
        k.KO(-1,t,"á");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 282
        k.KDC(2,t);
        k.KO(-1,t,"à");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_E /* 0x45 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 263
        k.KDC(2,t);
        k.KO(-1,t,"é");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 283
        k.KDC(2,t);
        k.KO(-1,t,"è");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_I /* 0x49 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 264
        k.KDC(2,t);
        k.KO(-1,t,"í");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 284
        k.KDC(2,t);
        k.KO(-1,t,"ì");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_N /* 0x4E */)) {
      if(k.KFCM(3,t,['c','h',{t:'d',d:0}])){
        r=m=1;   // Line 32
        k.KDC(3,t);
        k.KO(-1,t,"cn");
      }
      else if(k.KFCM(3,t,['C','h',{t:'d',d:0}])){
        r=m=1;   // Line 38
        k.KDC(3,t);
        k.KO(-1,t,"Cn");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_O /* 0x4F */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 265
        k.KDC(2,t);
        k.KO(-1,t,"ó");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 285
        k.KDC(2,t);
        k.KO(-1,t,"ò");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_U /* 0x55 */)) {
      if(k.KFCM(2,t,['´',{t:'d',d:4}])){
        r=m=1;   // Line 266
        k.KDC(2,t);
        k.KO(-1,t,"ú");
      }
      else if(k.KFCM(2,t,['´',{t:'d',d:5}])){
        r=m=1;   // Line 286
        k.KDC(2,t);
        k.KO(-1,t,"ù");
      }
    }
    else if(k.KKM(e, modCodes.VIRTUAL_KEY /* 0x4000 */, keyCodes.K_W /* 0x57 */)) {
      if(k.KFCM(3,t,['K','w',{t:'d',d:3}])){
        r=m=1;   // Line 114
        k.KDC(3,t);
        k.KO(-1,t,"Kkw");
      }
    }
    return r;
  };
}
